- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties

# QMouseEventTransition Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qmouseeventtransition.h.

`#include <qmouseeventtransition.h>`

Inheritance diagram for QMouseEventTransition:
[legend]

List of all members.

## Public Member Functions
| QMouseEventTransition (QState *sourceState=0)
| QMouseEventTransition (QObject *object, QEvent::Type type, Qt::MouseButton button, QState *sourceState=0)
| ~QMouseEventTransition ()
Qt::MouseButton | button () const
void | setButton (Qt::MouseButton button)
Qt::KeyboardModifiers | modifierMask () const
void | setModifierMask (Qt::KeyboardModifiers modifiers)
QPainterPath | hitTestPath () const
void | setHitTestPath (const QPainterPath &path)
## Protected Member Functions
void | onTransition (QEvent *event)
bool | eventTest (QEvent *event)
## Properties
Qt::MouseButton | button
Qt::KeyboardModifiers | modifierMask

## Constructor & Destructor Documentation

QMouseEventTransition | ( | QState * | sourceState = `0` | ) |

QMouseEventTransition | ( | QObject * | object,
|  | QEvent::Type | type,
|  | Qt::MouseButton | button,
|  | QState * | sourceState = `0`
| ) |  |

~QMouseEventTransition | ( |  | ) |

## Member Function Documentation

Qt::MouseButton button | ( |  | ) | const

Search for all occurrences

void setButton | ( | Qt::MouseButton | button | ) |

Search for all occurrences

Qt::KeyboardModifiers modifierMask | ( |  | ) | const

Search for all occurrences

void setModifierMask | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

QPainterPath hitTestPath | ( |  | ) | const

Search for all occurrences

void setHitTestPath | ( | const QPainterPath & | path | ) |

Search for all occurrences

void onTransition | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QEventTransition.

bool eventTest | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QEventTransition.

## Property Documentation

Qt::MouseButton button `[read, write]`

Search for all occurrences

Definition at line 60 of file qmouseeventtransition.h.

Qt::KeyboardModifiers modifierMask `[read, write]`

Search for all occurrences

Definition at line 61 of file qmouseeventtransition.h.

The documentation for this class was generated from the following file:

- QtGui/qmouseeventtransition.h

QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition
QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition QMouseEventTransition